BaseTools/Capsule: Update help for --fw-version and --lsv
authorKinney, Michael D <michael.d.kinney@intel.com>
Sat, 28 Jul 2018 07:18:40 +0000 (00:18 -0700)
committerKinney, Michael D <michael.d.kinney@intel.com>
Thu, 2 Aug 2018 21:35:26 +0000 (14:35 -0700)
Update help to state that --fw-version and -=-lsv are required
for encode operations that sign a payload.

https://bugzilla.tianocore.org/show_bug.cgi?id=1029

Cc: Sean Brogan <sean.brogan@microsoft.com>
Cc: Jiewen Yao <jiewen.yao@intel.com>
Cc: Yonghong Zhu <yonghong.zhu@intel.com>
Cc: Liming Gao <liming.gao@intel.com>
Contributed-under: TianoCore Contribution Agreement 1.1
Signed-off-by: Michael D Kinney <michael.d.kinney@intel.com>
Reviewed-by: Yonghong Zhu <yonghong.zhu@intel.com>
BaseTools/Source/Python/Capsule/GenerateCapsule.py

index 3c641bd..76426dc 100644 (file)
@@ -254,9 +254,9 @@ if __name__ == '__main__':
                          help = "64-bit monotonic count value in header.  Default is 0x0000000000000000.")\r
 \r
     parser.add_argument ("--fw-version", dest = 'FwVersion', type = ValidateUnsignedInteger,\r
-                         help = "The 32-bit version of the binary payload (e.g. 0x11223344 or 5678).")\r
+                         help = "The 32-bit version of the binary payload (e.g. 0x11223344 or 5678).  Required for encode operations that sign a payload.")\r
     parser.add_argument ("--lsv", dest = 'LowestSupportedVersion', type = ValidateUnsignedInteger,\r
-                         help = "The 32-bit lowest supported version of the binary payload (e.g. 0x11223344 or 5678).")\r
+                         help = "The 32-bit lowest supported version of the binary payload (e.g. 0x11223344 or 5678).  Required for encode operations that sign a payload.")\r
 \r
     parser.add_argument ("--pfx-file", dest='SignToolPfxFile', type=argparse.FileType('rb'),\r
                          help="signtool PFX certificate filename.")\r